# SemanticsUpdateBuilder class

An object that creates SemanticsUpdate objects.

Once created, the SemanticsUpdate objects can be passed to Window.updateSemantics to update the semantics conveyed to the user.

## Constructors

SemanticsUpdateBuilder()
  Creates an empty SemanticsUpdateBuilder object.

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

build() → SemanticsUpdate
  Creates a SemanticsUpdate object that encapsulates the updates recorded by this object. [...]
updateCustomAction({int id, String label, String hint, int overrideId: -1 }) → void
  Update the custom semantics action associated with the given `id`. [...]
updateNode({int id, int flags, int actions, int textSelectionBase, int textSelectionExtent, int platformViewId, int scrollChildren, int scrollIndex, double scrollPosition, double scrollExtentMax, double scrollExtentMin, double elevation, double thickness, Rect rect, String label, String hint, String value, String increasedValue, String decreasedValue, TextDirection textDirection, Float64List transform, Int32List childrenInTraversalOrder, Int32List childrenInHitTestOrder, Int32List additionalActions }) → void
  Update the information associated with the node with the given `id`. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited